Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

#1 Le 16/02/2012, à 20:44

nitrog

Installation de linuxcnc (résolu)

Bonjour à tous,
je viens d'intaller ubuntu 10.04 lts et je cherche à installer linuxcnc pour faire fonctionnr ma cnc mais je ne sais pas ou aller pour charger le programme, je ne veux pas le cd mais une installation depuis internet.

Merci pour votre aide

Nitrog

Dernière modification par nitrog (Le 21/02/2012, à 18:35)

Hors ligne

#2 Le 16/02/2012, à 22:27

f.x0

Re : Installation de linuxcnc (résolu)

Bonjour nitrog,

Extrait de la doc a écrit :

Il est possible d'utiliser un simple script d'installation de LinuxCNC sur une installation d'Ubuntu existante. Pour installer LinuxCNC par vous même, suivez ces instructions:

    * Etape 1: Installez Ubuntu 10.04 Lucid Lynx (32-bits),
    * Etape 2: Une fois Ubuntu installé, chargez le script: Lucid-install , choisissez "Enregistrer sur le disque" et cliquez OK.
    * Etape 3: Vous avez maintenant une icône emc2-install.sh sur votre bureau. Faites un clic droit sur cette icône, choisissez Propriétés. Ouvrez l'onglet Permissions et cochez la case Propriétaire: Exécuter. Fermez  la fenêtre de propriétés.
    * Etape 4: Double-cliquez sur l'icône emc2-install.sh, et choisissez "Lancer dans un terminal". Un terminal apparait et vous demande votre mot de passe.
    * Etape 5: Quand l'installateur vous demande si vous êtes sûr de vouloir installer les paquets LinuxCNC, pressez Entrée pour accepter. Laissez l'installation se terminer.
    * Etape 6: Quand elle sera terminée, vous devrez rebooter (Système > Quitter > Redémarrer l'ordinateur). Quand vous aurez redémarré vous pourrez lancer LinuxCNC depuis le menu Applications -> CNC.
    * Etape 7: Si vous n'êtes pas prêt pour configurer votre machine réelle, essayez la configuration AXIS du groupe sim; elle démarre sur une machine simulée qui ne requiert aucun raccordement matériel.

    Maintenant que l'installation est terminée, Ubuntu vous avertira quand des mises à jour de LinuxCNC seront disponibles. Quand il y en aura, vous pourrez les installer facilement et automatiquement avec le gestionnaire de mises à jour.


SOPI

En ligne

#3 Le 17/02/2012, à 08:51

nitrog

Re : Installation de linuxcnc (résolu)

Hello,

Super merci ça fonctionne

Nitrog

Hors ligne

#4 Le 17/02/2012, à 20:09

f.x0

Re : Installation de linuxcnc (résolu)

Je suis content pour toi que cela ait fonctionné nitrog, bonne continuation sur Gnu/Linux




SI TU PENSES QUE TON PROBLÈME EST SOLUTIONNÉ, AJOUTES [RÉSOLU] DANS LE TITRE DE TON PREMIER POST, CELA POURRA AIDER D'AUTRES UBUNTEROS QUI ONT LE MÊME PROBLÈME QUE TOI. wink


SOPI

En ligne

#5 Le 20/02/2013, à 18:40

nico1519

Re : Installation de linuxcnc (résolu)

Même probleme que Nitrog. J'ai suivi les conseils de f.x0 en exécutant le script linux-install, j'obtiens ceci :

gpg: requête de la clé BC92B87F du serveur hkp pgpkeys.mit.edu
gpg: clé BC92B87F: « Chris Radek <chris@timeguy.com> » n'a pas changé
gpg: Quantité totale traitée: 1
gpg:              inchangée: 1
OK
Atteint http://archive.canonical.com lucid Release.gpg
Ign http://archive.canonical.com/ubuntu/ lucid/partner Translation-fr          
Atteint http://security.ubuntu.com lucid-security Release.gpg                  
Ign http://security.ubuntu.com/ubuntu/ lucid-security/main Translation-fr      
Ign http://security.ubuntu.com/ubuntu/ lucid-security/restricted Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-fr
Ign http://security.ubuntu.com/ubuntu/ lucid-security/universe Translation-fr  
Atteint http://archive.canonical.com lucid Release                             
Atteint http://security.ubuntu.com lucid-security Release                      
Atteint http://fr.archive.ubuntu.com lucid Release.gpg                         
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/main Translation-fr         
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-fr   
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-fr   
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid/universe Translation-fr     
Atteint http://fr.archive.ubuntu.com lucid-updates Release.gpg                 
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-fr 
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-fr
Atteint http://archive.canonical.com lucid/partner Packages                    
Atteint http://ppa.launchpad.net lucid Release.gpg                             
Ign http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/ lucid/main Translation-fr 
Atteint http://ppa.launchpad.net lucid Release.gpg                             
Atteint http://fr.archive.ubuntu.com lucid Release                             
Atteint http://security.ubuntu.com lucid-security/main Packages                
Ign http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu/ lucid/main Translation-fr
Atteint http://fr.archive.ubuntu.com lucid-updates Release                     
Atteint http://ppa.launchpad.net lucid Release                                 
Atteint http://security.ubuntu.com lucid-security/restricted Packages          
Atteint http://security.ubuntu.com lucid-security/multiverse Packages          
Atteint http://security.ubuntu.com lucid-security/main Sources                 
Atteint http://security.ubuntu.com lucid-security/restricted Sources           
Atteint http://security.ubuntu.com lucid-security/universe Packages            
Atteint http://security.ubuntu.com lucid-security/universe Sources             
Atteint http://fr.archive.ubuntu.com lucid/main Packages                       
Atteint http://ppa.launchpad.net lucid Release                                 
Atteint http://fr.archive.ubuntu.com lucid/restricted Packages                 
Atteint http://fr.archive.ubuntu.com lucid/multiverse Packages                 
Atteint http://fr.archive.ubuntu.com lucid/main Sources                        
Atteint http://fr.archive.ubuntu.com lucid/restricted Sources                  
Atteint http://fr.archive.ubuntu.com lucid/universe Packages                   
Atteint http://fr.archive.ubuntu.com lucid/universe Sources                    
Atteint http://ppa.launchpad.net lucid/main Packages                           
Atteint http://fr.archive.ubuntu.com lucid-updates/main Packages               
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Packages         
Atteint http://fr.archive.ubuntu.com lucid-updates/multiverse Packages         
Atteint http://fr.archive.ubuntu.com lucid-updates/main Sources                
Atteint http://fr.archive.ubuntu.com lucid-updates/restricted Sources          
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Packages           
Atteint http://fr.archive.ubuntu.com lucid-updates/universe Sources            
Réception de : 1 http://www.linuxcnc.org breezy Release.gpg [191B]             
Ign http://www.linuxcnc.org/emc2/ breezy/emc2.1 Translation-fr         
Atteint http://ppa.launchpad.net lucid/main Packages                   
Réception de : 2 http://www.linuxcnc.org breezy Release [2 696B]
Réception de : 3 http://www.linuxcnc.org breezy/emc2.1 Packages [5 111B]
Réception de : 4 http://www.linuxcnc.org breezy/emc2.1 Sources [1 836B]
9 834o réceptionnés en 1s (7 775o/s) 
Lecture des listes de paquets... Fait
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
  emc2: Dépend: python2.4-numarray mais il n'est pas installable
        Dépend: python2.4-imaging mais il n'est pas installable
        Dépend: python2.4-imaging-tk mais ne sera pas installé
        Dépend: python (< 2.5) mais 2.6.5-0ubuntu1 devra être installé
        Dépend: python (< 2.5) mais 2.6.5-0ubuntu1 devra être installé
        Dépend: bwidget (< 1.8) mais 1.9.0-2 devra être installé
        Dépend: python2.4-tk mais il n'est pas installable
        Dépend: python2.4-xml mais il n'est pas installable
E: Paquets défectueux

Quel est le probleme ?

Merci.

NB : je suis sous Ubuntu Lucid

Hors ligne

Haut de page ↑